#########
# Author:        gq1
# Maintainer:    $Author: dj3 $
# Created:       2010-03-01
# Last Modified: $Date: 2012-02-29 13:11:34 +0000 (Wed, 29 Feb 2012) $
# Id:            $Id: SAM_Original_Quality.pm 15261 2012-02-29 13:11:34Z dj3 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/lib/npg_common/sequence/SAM_Original_Quality.pm $
#

package npg_common::sequence::SAM_Original_Quality;

use strict;
use warnings;
use Moose;
use Carp;
use English qw(-no_match_vars);

with 'MooseX::Getopt';

extends 'npg_common::sequence::SAM_Qseq';


use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 15261 $ =~ /(\d+)/smx; $r; };
## no critic (Documentation::RequirePodAtEnd)

=head1 NAME

npg_common::sequence::SAM_Original_Quality

=head1 VERSION

$LastChangedRevision: 15261 $

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS


=head2 _fields_to_add

overriding method to define what fields to add for second call 

=cut

sub _fields_to_add {
   my ( $self, $qseq_fields ) = @_;

   my $fields_to_add = {};
   my $quals = $qseq_fields->[9];## no critic (ValuesAndExpressions::ProhibitMagicNumbers)
   $quals =~ tr/!-\175/!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!-\136/;
   $fields_to_add ->{OQ} = { value => $quals, };
   return $fields_to_add;
}

no Moose;

1;
__END__

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item MooseX::Getopt

=item Carp

=item English -no_match_vars

=item Readonly

=item npg_common::sequence::SAM_Qseq

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut
