#!/software/bin/perl
#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       01 November 2010
# Last Modified: $Date: 2010-11-04 10:01:48 +0000 (Thu, 04 Nov 2010) $
# Id:            $Id: sam_fastq_check.pl 11596 2010-11-04 10:01:48Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/scripts/sam_fastq_check.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);

use npg_common::sequence::SAM_Fastq_Check;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 11596 $ =~ /(\d+)/smx; $r; };

npg_common::sequence::SAM_Fastq_Check->new_with_options()->process();

exit 0;

=head1 NAME

sam_fastq_check.pl

=head1 VERSION

$LastChangedRevision: 11596 $

=head1 USAGE

more t/data/sequence/5390/5390_1#0_single.sam | scripts/sam_fastq_check.pl --fastq_files t/data/sequence/5390/5390_1_1#0.fastq

or

scripts/sam_fastq_check.pl --fastq_files t/data/sequence/5390/5390_1_1#0.fastq --fastq_files t/data/sequence/5390/5390_1_2#0.fastq -sam t/data/sequence/5390/5390_1#0.sam


=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

This script read sam file from a file or the stand input, compare the bases and qualities in each read with the ones in fastq files. 
If different, croak

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item npg_common::sequence::SAM_Fastq_Check

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

