#!/software/bin/perl
#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       02 March 2010
# Last Modified: $Date: 2010-11-19 12:08:06 +0000 (Fri, 19 Nov 2010) $
# Id:            $Id: sam_second_call.pl 11838 2010-11-19 12:08:06Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/scripts/sam_second_call.pl $
#

#########################
# This script add the second base call to the sam from the second call qseq files ordr by tile number
# within each qseq file, the order of the short reads should also match the order in sam file
# SAM file name can be given via command or sam contents pass from stdin
##########################

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);

use npg_common::sequence::SAM_Second_Call;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 11838 $ =~ /(\d+)/smx; $r; };

npg_common::sequence::SAM_Second_Call->new_with_options()->process();

exit 0;

=head1 NAME

sam_second_call.pl

=head1 VERSION

$LastChangedRevision: 11838 $

=head1 USAGE

sam file without second base calls can be given from the command line. If not, the script will read from stdin

You can give a list of qseq files from command line. If paired read run, both 'qseq_files_1' and 'qseq_files_2' must be given.

or you can give 'qseq_dir', in this case you must give the lane number. If single read run, read_number_1 mush be given. if paired read run, both read_number_1 and read_number_2 must be given. These read numbers are used in qseq files. If paired multiplex run, read_number_1 =1 and read_number_2 = 3;

You can run like this:

  scripts/sam_second_call.pl --sam t/data/sequence/SecondCall/4392_1.sam --qseq_files_1 t/data/sequence/SecondCall/s_1_1_0001_qseq.txt --qseq_files_1 t/data/sequence/SecondCall/s_1_1_0002_qseq.txt
  
or 
  scripts/sam_second_call.pl --sam t/data/sequence/SecondCall/4392_1.sam --qseq_dir t/data/sequence/SecondCall --lane 1 --read_number_1 1

or 
  samtools view t/data/sequence/SecondCall/4392_1.bam | scripts/sam_second_call.pl --qseq_dir t/data/sequence/SecondCall --lane 1  --read_number_1 1
  
or 
  cat t/data/sequence/SecondCall_paired/4394_1.sam | scripts/sam_second_call.pl --qseq_dir t/data/sequence/SecondCall_paired --lane 1  --read_number_1 1 --read_number_2 2

=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item npg_common::sequence::SAM_Second_Call

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

