#########
# Author:        rmp
# Last Modified: $Date: 2011-04-21 15:05:33 +0100 (Thu, 21 Apr 2011) $ $Author: mg8 $
# Id:            $Id: 00-critic.t 13081 2011-04-21 14:05:33Z mg8 $
# Source:        $Source: /cvsroot/Bio-DasLite/Bio-DasLite/t/00-critic.t,v $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/00-critic.t $
#
package critic;
use strict;
use warnings;
use Test::More;
use English qw(-no_match_vars);

use Readonly; Readonly::Scalar our $VERSION => do { my @r = (q$LastChangedRevision: 13081 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

if (!$ENV{TEST_AUTHOR}) {
  my $msg = 'Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.';
  plan( skip_all => $msg );
}

eval {
  require Test::Perl::Critic;
};

if($EVAL_ERROR) {
  plan skip_all => 'Test::Perl::Critic not installed';

} else {
  Test::Perl::Critic->import(
			 -severity => 1,
			 -exclude  => [
                            'tidy',
                            'ValuesAndExpressions::ProhibitImplicitNewlines',
                            'ValuesAndExpressions::RequireConstantVersion',
                            'Documentation::PodSpelling',
                            'ProhibitLongChainsOfMethodCalls'
                          ],
			 -profile  => 't/perlcriticrc',
			    );
  all_critic_ok();
}

1;
