#########
# Author:        David K Jackson (david.jackson@sanger.ac.uk)
# Maintainer:    $Author: dj3 $
# Created:       2009-04-17
# Last Modified: $Date: 2010-04-30 15:06:54 +0100 (Fri, 30 Apr 2010) $
# Id:            $Id: 10-SangerSSO.t 9197 2010-04-30 14:06:54Z dj3 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/10-SangerSSO.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 9;
use Test::Exception;
use Test::MockObject;

use_ok('Catalyst::Authentication::Credential::SangerSSO');

my $mockSangerWeb = Test::MockObject->new();
$mockSangerWeb->fake_module(q{SangerWeb});
$mockSangerWeb->fake_new(q{SangerWeb});
my $username;
$mockSangerWeb->mock('username',sub{$username});

my $mockcontext = Test::MockObject->new();
$mockcontext->mock('request',sub{Test::MockObject->new()->set_always('uri','http://superserver/supper');});
my $mocklog = Test::MockObject->new();
$mockcontext->mock('log',sub{$mocklog});
my $debug_msg;
$mocklog->mock('debug', sub {shift; $debug_msg = shift;});

my $mockrealm = Test::MockObject->new();
$mockrealm->mock('find_user',sub{shift; my$h=shift; return {%$h}if $h->{username}eq'dj3';return});

my $result;
lives_ok {$result = Catalyst::Authentication::Credential::SangerSSO->authenticate($mockcontext, $mockrealm);} 'call authenticate';
cmp_ok($debug_msg,'eq','No username from SangerWeb','Debug - no username');
is($result, undef, 'undef result if username is undefined');
$username='dj3';
lives_ok {$result = Catalyst::Authentication::Credential::SangerSSO->authenticate($mockcontext, $mockrealm);} 'call authenticate';
cmp_ok($debug_msg,'eq','Obtained dj3 from SangerWeb','Debug - username obtained from SangerWeb object');
ok($result, 'username is defined');
$username='dj';
lives_ok {$result = Catalyst::Authentication::Credential::SangerSSO->authenticate($mockcontext, $mockrealm);} 'call authenticate';
is($result, undef, 'undef result if username is defined but not found in realm');
