#########
# Author:        gq1
# Maintainer:    $Author: gq1 $
# Created:       2010-03002
# Last Modified: $Date: 2010-07-15 14:00:56 +0100 (Thu, 15 Jul 2010) $
# Id:            $Id: 10-sequence-Fastq2SAM.t 10117 2010-07-15 13:00:56Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/10-sequence-Fastq2SAM.t $
#

use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 6;
use Test::Exception;

use_ok('npg_common::sequence::Fastq2SAM');

{
  my $fastq1 = 't/data/sequence/SecondCall_paired/4394_1_1.fastq';
  my $fastq2 = 't/data/sequence/SecondCall_paired/4394_1_2.fastq';
  my $sam = npg_common::sequence::Fastq2SAM->new({
                 fastq1  => $fastq1,
               });
               
  isa_ok($sam, 'npg_common::sequence::Fastq2SAM', 'object test');

  is($sam->_get_flag(1), 4, 'single read first read unmapped flag');
  
  $sam->fastq2($fastq2);
  is($sam->_get_flag(1), 77, 'paired read first read unmapped flag');
  
  is($sam->_get_flag(2), 141, 'paired read second read unmapped flag'); 

  lives_ok{$sam->process();} q{processing ok};

}
1;
