use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More 'no_plan';#tests => ;
use Test::Exception;
use lib qw{t t/lib};
use Perl6::Slurp;

BEGIN {
  use_ok(q{npg_common::role_tests::read_small_file});
}

{
  my $rsf;
  throws_ok { $rsf = npg_common::role_tests::read_small_file->new(); } qr{Attribute[ ][(]filename[)][ ]is[ ]required}, q{filename is required};
  lives_ok  { $rsf = npg_common::role_tests::read_small_file->new({
    filename => q{t/40-roles-read_small_file.t},
  }); } q{object created ok with filename provided};
  my $file = slurp (q{t/40-roles-read_small_file.t});
  is($rsf->file_contents(), $file, q{file_contents read into object ok});
}
1;