#########
# Author:        gq1
# Maintainer:    $Author: mg8 $
# Created:       2010-05-05
# Last Modified: $Date: 2011-09-01 14:55:34 +0100 (Thu, 01 Sep 2011) $
# Id:            $Id: 40-roles_run_folder_validation.t 14090 2011-09-01 13:55:34Z mg8 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/useful_modules/tags/release-43.0/t/40-roles_run_folder_validation.t $
#

use strict;
use warnings;
use Test::More tests => 5;
use Test::Exception;

local $ENV{'NPG_WEBSERVICE_CACHE_DIR'} = q[t/data/sequence];

BEGIN {
  use_ok(q{npg_common::roles::run::folder_validation});
  use_ok(q{npg_common::run::folder_validation});
}
my $validation;

{
  $validation = npg_common::run::folder_validation->new(
                                                        run_folder => '100505_IL45_4655',
                                                       );

   ok(!$validation->check, 'Run folder 100505_IL45_4655 NOT match 100429_IL38_4655 from npg');
}

{
  $validation = npg_common::run::folder_validation->new(id_run    => 4655,
                                                        run_folder => '100429_IL38_4655',
                                                       );

  ok($validation->check, 'Run folder 100505_IL45_4655 match 100429_IL38_4655 from npg');
}

{
  $validation = npg_common::run::folder_validation->new(
                                                        run_folder => '100429_IL38_4655',
                                                        no_npg_check =>1,
                                                       );

  ok($validation->check, 'Run folder 100505_IL45_4655 not checked from npg');
}

1;
